org.springframework.web.context.support

## Class ServletContextResourceLoader

- java.lang.Object
- - org.springframework.core.io.DefaultResourceLoader
  - - org.springframework.web.context.support.ServletContextResourceLoader

All Implemented Interfaces:
  ResourceLoader

    public class ServletContextResourceLoader
    extends DefaultResourceLoader

ResourceLoader implementation that resolves paths as ServletContext resources, for use outside a WebApplicationContext (for example, in an HttpServletBean or GenericFilterBean subclass).

Within a WebApplicationContext, resource paths are automatically resolved as ServletContext resources by the context implementation.

Since:
  1.0.2
Author:
  Juergen Hoeller
See Also:
  `getResourceByPath(java.lang.String)`, `ServletContextResource`, `WebApplicationContext`, `HttpServletBean`, `GenericFilterBean`

### Field Summary

### Fields inherited from interface org.springframework.core.io.ResourceLoader

`CLASSPATH_URL_PREFIX`

### Constructor Summary

Constructors
Constructor and Description
`ServletContextResourceLoader(ServletContext servletContext)` Create a new ServletContextResourceLoader.

### Method Summary

Methods
`protected Resource` `getResourceByPath(String path)` This implementation supports file paths beneath the root of the web application.

### Methods inherited from class org.springframework.core.io.DefaultResourceLoader

`getClassLoader, getResource, setClassLoader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletContextResourceLoader

    public ServletContextResourceLoader(ServletContext servletContext)

Create a new ServletContextResourceLoader.

Parameters:
  `servletContext` - the ServletContext to load resources with

### Method Detail

#### getResourceByPath

    protected Resource getResourceByPath(String path)

This implementation supports file paths beneath the root of the web application.

Overrides:
  `getResourceByPath` in class `DefaultResourceLoader`
Parameters:
  `path` - the path to the resource
Returns:
  the corresponding Resource handle
See Also:
  `ServletContextResource`